Skip to content

List Global PDF Templates

GET
/api/pdf-reports/templates/global

List all global (shared) PDF templates

Authorizations

ApiKeyAuth

API key for authentication. Get your API key from the dashboard.

Type
API Key (header: X-Api-Key)

Responses

List of global PDF templates

application/vnd.api+json
JSON
{
  
"data": [
  
  
{
  
  
  
"type": "pdf-template",
  
  
  
"id": "string",
  
  
  
"attributes": {
  
  
  
  
"organizationId": "string",
  
  
  
  
"name": "string",
  
  
  
  
"description": "string",
  
  
  
  
"reportType": "string",
  
  
  
  
"editorConfig": {
  
  
  
  
  
"additionalProperties": null
  
  
  
  
},
  
  
  
  
"pageSettings": {
  
  
  
  
  
"additionalProperties": null
  
  
  
  
},
  
  
  
  
"customCss": "string",
  
  
  
  
"isDefault": true,
  
  
  
  
"isActive": true,
  
  
  
  
"version": 0,
  
  
  
  
"createdAt": "string",
  
  
  
  
"updatedAt": "string"
  
  
  
}
  
  
}
  
],
  
"meta": {
  
  
"count": 0,
  
  
"total": 0,
  
  
"page": 0,
  
  
"pageSize": 0
  
},
  
"links": {
  
  
"next": "string"
  
}
}

Playground

Authorization

Samples

Powered by VitePress OpenAPI

AstroAPI Documentation